Package org.opensaml.xacml.policy.impl

# Class AttributeDesignatorTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.AttributeDesignatorTypeImpl

All Implemented Interfaces:
  `XMLObject`, `AttributeDesignatorType`, `ExpressionType`, `XACMLObject`

Direct Known Subclasses:
  `SubjectAttributeDesignatorTypeImpl`

public class AttributeDesignatorTypeImpl extends AbstractXACMLObject implements AttributeDesignatorType
Implementation of `AttributeDesignatorType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`attributeId`
Attribute Id.
`private String`
`dataType`
Datatype.
`private String`
`issuer`
Issuer.
`private XSBooleanValue`
`mustBePresentXS`
Must be present.

### Fields inherited from interface org.opensaml.xacml.policy.AttributeDesignatorType

`ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, ATTRIBUTE_ID_ATTRIB_NAME, DATA_TYPE_ATTRIB_NAME, ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, ISSUER_ATTRIB_NAME, MUST_BE_PRESENT_ATTRIB_NAME, RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME, SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME_XACML20`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeDesignatorTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeId()`
Gets the ID of the designated attribute.
`String`
`getDataType()`
Gets the data type of the designated attribute.
`String`
`getIssuer()`
Gets the issuer of the designated attribute.
`Boolean`
`getMustBePresent()`
Gets whether the designated attribute must be present.
`XSBooleanValue`
`getMustBePresentXSBoolean()`
Gets whether the designated attribute must be present.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setAttributeId(String id)`
Sets the ID of the designated attribute.
`void`
`setDataType(String type)`
Sets the data type of the designated attribute.
`void`
`setIssuer(String newIssuer)`
Sets the issuer of the designated attribute.
`void`
`setMustBePresent(Boolean present)`
Sets whether the designated attribute must be present.
`void`
`setMustBePresentXSBoolean(XSBooleanValue present)`
Sets whether the designated attribute must be present.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### attributeId

private String attributeId
Attribute Id.

### dataType

private String dataType
Datatype.

### issuer

private String issuer
Issuer.

### mustBePresentXS

private XSBooleanValue mustBePresentXS
Must be present.

## Constructor Details

### AttributeDesignatorTypeImpl

protected AttributeDesignatorTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeId

public String getAttributeId()
Gets the ID of the designated attribute.

Specified by:
  `getAttributeId` in interface `AttributeDesignatorType`
Returns:
  ID of the designated attribute

### getDataType

public String getDataType()
Gets the data type of the designated attribute.

Specified by:
  `getDataType` in interface `AttributeDesignatorType`
Returns:
  data type of the designated attribute

### getIssuer

public String getIssuer()
Gets the issuer of the designated attribute.

Specified by:
  `getIssuer` in interface `AttributeDesignatorType`
Returns:
  issuer of the designated attribute

### getMustBePresentXSBoolean

public XSBooleanValue getMustBePresentXSBoolean()
Gets whether the designated attribute must be present.

Specified by:
  `getMustBePresentXSBoolean` in interface `AttributeDesignatorType`
Returns:
  whether the designated attribute must be present

### getMustBePresent

public Boolean getMustBePresent()
Gets whether the designated attribute must be present.

Specified by:
  `getMustBePresent` in interface `AttributeDesignatorType`
Returns:
  whether the designated attribute must be present

### setAttributeId

public void setAttributeId(String id)
Sets the ID of the designated attribute.

Specified by:
  `setAttributeId` in interface `AttributeDesignatorType`
Parameters:
  `id` - ID of the designated attribute

### setDataType

public void setDataType(String type)
Sets the data type of the designated attribute.

Specified by:
  `setDataType` in interface `AttributeDesignatorType`
Parameters:
  `type` - data type of the designated attribute

### setIssuer

public void setIssuer(String newIssuer)
Sets the issuer of the designated attribute.

Specified by:
  `setIssuer` in interface `AttributeDesignatorType`
Parameters:
  `newIssuer` - issuer of the designated attribute

### setMustBePresentXSBoolean

public void setMustBePresentXSBoolean(XSBooleanValue present)
Sets whether the designated attribute must be present.

Specified by:
  `setMustBePresentXSBoolean` in interface `AttributeDesignatorType`
Parameters:
  `present` - whether the designated attribute must be present

### setMustBePresent

public void setMustBePresent(Boolean present)
Sets whether the designated attribute must be present.

Specified by:
  `setMustBePresent` in interface `AttributeDesignatorType`
Parameters:
  `present` - whether the designated attribute must be present

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements